import { ElementRef, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcInputManBaseComponent } from './GcInputManBase';
export declare class GcNumberComponent extends GcInputManBaseComponent<GC.InputMan.GcNumber> {
    constructor(ref: ElementRef);
    value: number | string | null;
    text: string | null;
    watermarkZeroText: string | null;
    formatDigit: string | null;
    displayPositivePrefix: string | null;
    displayFormatDigit: string | null;
    maxValue: number | string | null;
    minValue: number | string | null;
    positivePrefix: string | null;
    positiveSuffix: string | null;
    displayPositiveSuffix: string | null;
    negativePrefix: string | null;
    displayNegativePrefix: string | null;
    negativeSuffix: string | null;
    displayNegativeSuffix: string | null;
    valueSign: GC.InputMan.ValueSign;
    adjustValueOnFocus: boolean;
    allowDeleteToNull: boolean;
    clearAction: GC.InputMan.ClearModeAction;
    acceptsDecimal: GC.InputMan.DecimalMode;
    currencySymbol: string | null;
    decimalPoint: string | null;
    maxMinBehavior: GC.InputMan.MaxMinBehavior;
    separator: string | null;
    watermarkDisplayZeroText: string | null;
    highlightText: boolean;
    allowSpin: boolean;
    spinWheel: boolean;
    spinOnKeys: boolean;
    spinWrap: boolean;
    showSpinButton: boolean;
    spinButtonPosition: GC.InputMan.SpinButtonAlignment;
    showNumericPad: boolean;
    numericPadPosition: GC.InputMan.DropDownButtonAlignment;
    showCalculatorAsDropDown: boolean;
    showCalculatorAsPopup: boolean;
    calculatorButtonPosition: GC.InputMan.DropDownButtonAlignment | null;
    dropDownConfig: GC.InputMan.GcCalculatorConfig | null;
    showClearButton: boolean;
    onSpinDown: EventEmitter<object>;
    onSpinUp: EventEmitter<object>;
    onInvalidRange: EventEmitter<object>;
    onValueChanged: EventEmitter<object>;
    valueChange: EventEmitter<number>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
    clear(): void;
}
