import { QueryList, ElementRef, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
export declare class GcShortcutInfoComponent {
    shortcutKey: GC.InputMan.GcShortcutKey;
    shift: boolean;
    ctrl: boolean;
    alt: boolean;
    target: string;
    action: GC.InputMan.IAction | GC.InputMan.GcShortcutAction;
    blockMessage: boolean;
}
export declare class GcShortcutComponent extends GcComponents<GC.InputMan.GcShortcut> {
    blockMessage: boolean;
    triggerAll: boolean;
    shortcutInfoList: QueryList<GcShortcutInfoComponent>;
    preAction: EventEmitter<object>;
    postAction: EventEmitter<object>;
    constructor(ref: ElementRef);
    protected initGcComponent(): void;
    tryGetTarget(str: string): any;
    protected bindEvent(): void;
}
