import { AfterViewInit, ElementRef } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
export declare class GcTipNotifierComponent extends GcComponents<GC.InputMan.GcTipNotifier> implements AfterViewInit {
    private _parent;
    ngAfterViewInit(): void;
    protected bindEvent(): void;
    constructor(ref: ElementRef, _parent: GcComponents<GC.InputMan.GcInputManBase | GC.InputMan.GcComboBox>);
    direction: string;
    position: string;
    directionPriority: Array<GC.InputMan.TipDirection>;
    template: string;
    failMessage: string;
    successMessage: string;
    tipState: string;
    protected initGcComponent(): void;
    onFail(): void;
    onSuccess(): void;
    onClear(): void;
}
