(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@grapecity/inputman'), require('@angular/common'), require('@angular/forms')) :
    typeof define === 'function' && define.amd ? define('@grapecity/inputman.angular', ['exports', '@angular/core', '@grapecity/inputman', '@angular/common', '@angular/forms'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.grapecity = global.grapecity || {}, global.grapecity.inputman = global.grapecity.inputman || {}, global.grapecity.inputman.angular = {}), global.ng.core, global.GC, global.ng.common, global.ng.forms));
})(this, (function (exports, core, GC, common, forms) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var GC__namespace = /*#__PURE__*/_interopNamespace(GC);

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || Array.prototype.slice.call(from));
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    var IMCtrl = "__imctrl";
    function Property(setter, getter, isPramArr, supportWithinConfig, order) {
        var saveToTargetProDic = function (target, propertyName) {
            var methods = {
                setter: setter,
                getter: getter,
                isPramArr: isPramArr,
                supportWithinConfig: (typeof supportWithinConfig === "boolean") ? supportWithinConfig : true,
                order: (typeof order === "number") ? order : -1
            };
            if (!target.propDic) {
                target.propDic = {};
            }
            target.propDic[propertyName] = methods;
        };
        return saveToTargetProDic;
    }
    var isEmpty = function (value) {
        return value === undefined || value === null || value === "";
    };
    var getMethodPrefix = function (type) {
        if (type === MethodType.getter) {
            return "get";
        }
        else if (type === MethodType.setter) {
            return "set";
        }
    };
    var MethodType;
    (function (MethodType) {
        MethodType[MethodType["getter"] = 0] = "getter";
        MethodType[MethodType["setter"] = 1] = "setter";
    })(MethodType || (MethodType = {}));

    function provideParent(component) {
        return { provide: GcComponents, useExisting: core.forwardRef(function () { return component; }) };
    }
    var GcComponents = /** @class */ (function () {
        function GcComponents(ref) {
            this.onInitialized = new core.EventEmitter();
            this._container = ref.nativeElement;
        }
        GcComponents.prototype.ngOnChanges = function (changes) {
            var _this = this;
            if (!this._imCtrl) {
                return;
            }
            Object.keys(changes).forEach(function (key) {
                var currentValue = changes[key].currentValue;
                _this.setValueToIMControl(key, currentValue);
            });
        };
        GcComponents.prototype.setValueToIMControl = function (key, value) {
            if (value === undefined) {
                return;
            }
            if (this.isSetAccessor(key)) {
                this._imCtrl[key] = value;
                return;
            }
            var setter = this.tryGetPropertyOperator(key, MethodType.setter);
            if (this.hasRealMethod(setter)) {
                if (this.propDic && this.propDic[key] && this.propDic[key].isPramArr === true) {
                    this._imCtrl[setter].apply(this._imCtrl, value);
                }
                else {
                    this._imCtrl[setter](value);
                }
            }
        };
        GcComponents.prototype.isSetAccessor = function (key) {
            var descriptor = Object.getOwnPropertyDescriptor(this._imCtrl.constructor.prototype, key);
            if (descriptor && descriptor.set) {
                return true;
            }
            return false;
        };
        GcComponents.prototype.ngAfterContentInit = function () {
            var _this = this;
            this.initGcComponent();
            if (typeof this._imCtrl === 'object') {
                this.onInitialized.emit(this._imCtrl);
            }
            this.bindEvent();
            if (this.propDic) {
                var unSupportWithinConfigProps = Object.keys(this.propDic).filter(function (p) { return _this.propDic[p] && _this.propDic[p].supportWithinConfig === false; });
                unSupportWithinConfigProps.sort(function (p1, p2) {
                    return _this.propDic[p1].order - _this.propDic[p2].order;
                });
                unSupportWithinConfigProps.forEach(function (p) {
                    _this.setValueToIMControl(p, _this[p]);
                });
            }
            this._container[IMCtrl] = this._imCtrl;
        };
        GcComponents.prototype.tryGetPropertyOperator = function (propertyName, methodType) {
            var method = "";
            if (this.propDic && this.propDic[propertyName]) {
                method = methodType === MethodType.getter ? this.propDic[propertyName].getter : this.propDic[propertyName].setter;
                if (!isEmpty(method)) {
                    return method;
                }
            }
            return getMethodPrefix(methodType) + propertyName[0].toUpperCase() + propertyName.slice(1);
        };
        GcComponents.prototype.hasRealMethod = function (methodName) {
            return this._imCtrl && typeof this._imCtrl[methodName] === "function";
        };
        GcComponents.prototype.getNestedIMControl = function () {
            return this._imCtrl;
        };
        GcComponents.prototype.createTemplate = function (element) {
            this._container.appendChild(element);
            if (element && this.name) {
                element.setAttribute('name', this.name);
            }
        };
        return GcComponents;
    }());
    GcComponents.propDecorators = {
        name: [{ type: core.Input }],
        onInitialized: [{ type: core.Output }]
    };

    var GcCalculatorComponent = /** @class */ (function (_super) {
        __extends(GcCalculatorComponent, _super);
        function GcCalculatorComponent(ref) {
            return _super.call(this, ref) || this;
        }
        GcCalculatorComponent.prototype.initGcComponent = function () {
            var element = document.createElement('div');
            this.createTemplate(element);
            this._imCtrl = new GC__namespace.InputMan.GcCalculator(element, this);
        };
        GcCalculatorComponent.prototype.bindEvent = function () { };
        return GcCalculatorComponent;
    }(GcComponents));
    GcCalculatorComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-calculator',
                    template: ""
                },] }
    ];
    GcCalculatorComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcCalculatorComponent.propDecorators = {
        value: [{ type: core.Input }],
        showOutput: [{ type: core.Input }],
        visible: [{ type: core.Input }],
        enabled: [{ type: core.Input }],
        buttonText: [{ type: core.Input }]
    };

    var GcCalendarComponent = /** @class */ (function (_super) {
        __extends(GcCalendarComponent, _super);
        function GcCalendarComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.onClickDate = new core.EventEmitter();
            _this.onScrolled = new core.EventEmitter();
            _this.onFocusDateChanged = new core.EventEmitter();
            _this.onSelectedDateChanged = new core.EventEmitter();
            // For V2.1 Compatibility, we have to keep this property or event
            _this.focusDateChange = new core.EventEmitter();
            _this.selectedDateChange = new core.EventEmitter();
            return _this;
        }
        GcCalendarComponent.prototype.initGcComponent = function () {
            var element = document.createElement('div');
            this.createTemplate(element);
            if (Array.isArray(this.calendarDimensions)) {
                this.calendarDimensions = {
                    width: this.calendarDimensions[0],
                    height: this.calendarDimensions[1]
                };
            }
            this._imCtrl = new GC__namespace.InputMan.GcCalendar(element, this);
        };
        GcCalendarComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl) {
                return;
            }
            this._imCtrl.onClickDate(function (s) { _this.onClickDate.emit(s); });
            this._imCtrl.onScrolled(function (s) { _this.onScrolled.emit(s); });
            this._imCtrl.onFocusDateChanged(function (s) {
                _this.onFocusDateChanged.emit(s);
                _this.focusDateChange.emit(s.getFocusDate());
            });
            this._imCtrl.onSelectedDateChanged(function (s) {
                _this.onSelectedDateChanged.emit(s);
                _this.selectedDateChange.emit(s.getSelectedDate());
            });
        };
        return GcCalendarComponent;
    }(GcComponents));
    GcCalendarComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-calendar',
                    template: ""
                },] }
    ];
    GcCalendarComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcCalendarComponent.propDecorators = {
        visible: [{ type: core.Input }],
        maxSelectionCount: [{ type: core.Input }],
        selectionMode: [{ type: core.Input }],
        selectedDate: [{ type: core.Input }],
        enabled: [{ type: core.Input }],
        weekTitleSelect: [{ type: core.Input }],
        weekNumberSelect: [{ type: core.Input }],
        focusDate: [{ type: core.Input }],
        maxDate: [{ type: core.Input }],
        minDate: [{ type: core.Input }],
        allowSelection: [{ type: core.Input }],
        emptyRows: [{ type: core.Input }],
        firstDayOfWeek: [{ type: core.Input }],
        firstFiscalMonth: [{ type: core.Input }],
        firstMonthInView: [{ type: core.Input }],
        yearMonthFormat: [{ type: core.Input }],
        headerFormat: [{ type: core.Input }],
        showZoomButton: [{ type: core.Input }],
        showRokuyou: [{ type: core.Input }],
        showHeader: [{ type: core.Input }],
        showToday: [{ type: core.Input }],
        showWeekNumber: [{ type: core.Input }],
        showTrailing: [{ type: core.Input }],
        calendarYear: [{ type: core.Input }],
        showNavigator: [{ type: core.Input }],
        navigatorOrientation: [{ type: core.Input }],
        overrideTipText: [{ type: core.Input }],
        calendarType: [{ type: core.Input }],
        calendarDimensions: [{ type: core.Input }],
        scrollRate: [{ type: core.Input }],
        onClickDate: [{ type: core.Output }],
        onScrolled: [{ type: core.Output }],
        onFocusDateChanged: [{ type: core.Output }],
        onSelectedDateChanged: [{ type: core.Output }],
        focusDateChange: [{ type: core.Output }],
        selectedDateChange: [{ type: core.Output }]
    };
    __decorate([
        Property("setCalendarDimensions", "", true),
        __metadata("design:type", Array)
    ], GcCalendarComponent.prototype, "calendarDimensions", void 0);

    var GcComboBoxColumnComponent = /** @class */ (function () {
        function GcComboBoxColumnComponent() {
        }
        return GcComboBoxColumnComponent;
    }());
    GcComboBoxColumnComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-combo-box-column',
                    template: ""
                },] }
    ];
    GcComboBoxColumnComponent.propDecorators = {
        name: [{ type: core.Input }],
        label: [{ type: core.Input }],
        width: [{ type: core.Input }],
        isValuePath: [{ type: core.Input }],
        visible: [{ type: core.Input }],
        clickSort: [{ type: core.Input }],
        contentAlignment: [{ type: core.Input }],
        headerAlignment: [{ type: core.Input }],
        showTip: [{ type: core.Input }]
    };
    var GcComboBoxComponent = /** @class */ (function (_super) {
        __extends(GcComboBoxComponent, _super);
        function GcComboBoxComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.selectedChanged = new core.EventEmitter();
            _this.checkedChanged = new core.EventEmitter();
            _this.dropDownClosed = new core.EventEmitter();
            _this.dropDownOpened = new core.EventEmitter();
            _this.textChanged = new core.EventEmitter();
            _this.spinDown = new core.EventEmitter();
            _this.spinUp = new core.EventEmitter();
            _this.itemsChanged = new core.EventEmitter();
            _this.itemsChange = new core.EventEmitter();
            _this.selectedValueChange = new core.EventEmitter();
            _this.selectedIndexChange = new core.EventEmitter();
            _this.checkedValuesChange = new core.EventEmitter();
            _this.selectedItemChange = new core.EventEmitter();
            _this.checkedItemsChange = new core.EventEmitter();
            _this.checkedIndicesChange = new core.EventEmitter();
            return _this;
        }
        GcComboBoxComponent.prototype.initGcComponent = function () {
            var _this = this;
            if (this.columnComponents && this.columnComponents.length > 0) {
                this.columns = [];
                this.columnComponents.forEach(function (column) {
                    _this.columns.push({
                        name: column.name,
                        label: column.label,
                        width: column.width,
                        isValuePath: column.isValuePath,
                        visible: column.visible,
                        clickSort: column.clickSort,
                        contentAlignment: column.contentAlignment,
                        headerAlignment: column.headerAlignment,
                        showTip: column.showTip
                    });
                });
            }
            var element = document.createElement('select');
            this.createTemplate(element);
            this._imCtrl = new GC__namespace.InputMan.GcComboBox(element, this);
        };
        GcComboBoxComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl) {
                return;
            }
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcComboBoxEvent.SelectedChanged, function (eventArgs) {
                _this.selectedChanged.emit(eventArgs);
                _this.selectedValueChange.emit(_this._imCtrl.getSelectedValue());
                _this.selectedIndexChange.emit(_this._imCtrl.getSelectedIndex());
                _this.selectedItemChange.emit(_this._imCtrl.getSelectedItem());
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcComboBoxEvent.CheckedChanged, function (eventArgs) {
                _this.checkedChanged.emit(eventArgs);
                _this.checkedValuesChange.emit(_this._imCtrl.getCheckedValues());
                _this.checkedItemsChange.emit(_this._imCtrl.getCheckedItems());
                _this.checkedIndicesChange.emit(_this._imCtrl.getCheckedIndices());
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcComboBoxEvent.DropDownClosed, function (eventArgs) {
                _this.dropDownClosed.emit(eventArgs);
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcComboBoxEvent.DropDownOpened, function (eventArgs) {
                _this.dropDownOpened.emit(eventArgs);
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcComboBoxEvent.TextChanged, function (eventArgs) {
                _this.textChanged.emit(eventArgs);
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcComboBoxEvent.SpinDown, function (eventArgs) {
                _this.spinDown.emit(eventArgs);
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcComboBoxEvent.SpinUp, function (eventArgs) {
                _this.spinUp.emit(eventArgs);
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcComboBoxEvent.ItemsChanged, function (eventArgs) {
                _this.itemsChanged.emit(eventArgs);
                _this.itemsChange.emit(_this._imCtrl.getItems());
            });
        };
        return GcComboBoxComponent;
    }(GcComponents));
    GcComboBoxComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-combo-box',
                    template: "",
                    providers: [provideParent(GcComboBoxComponent)]
                },] }
    ];
    GcComboBoxComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcComboBoxComponent.propDecorators = {
        items: [{ type: core.Input }],
        selectedValue: [{ type: core.Input }],
        allowDropDownResize: [{ type: core.Input }],
        readOnly: [{ type: core.Input }],
        autoSelect: [{ type: core.Input }],
        selectedIndex: [{ type: core.Input }],
        autoFilter: [{ type: core.Input }],
        visible: [{ type: core.Input }],
        enabled: [{ type: core.Input }],
        showTip: [{ type: core.Input }],
        isEditable: [{ type: core.Input }],
        watermarkDisplayNullText: [{ type: core.Input }],
        watermarkNullText: [{ type: core.Input }],
        highlightText: [{ type: core.Input }],
        exitOnEnterKey: [{ type: core.Input }],
        useClipboard: [{ type: core.Input }],
        acceptsCrlf: [{ type: core.Input }],
        ellipsis: [{ type: core.Input }],
        ellipsisString: [{ type: core.Input }],
        exitOnLeftRightKey: [{ type: core.Input }],
        tabIndex: [{ type: core.Input }],
        editMode: [{ type: core.Input }],
        checkedValues: [{ type: core.Input }],
        selectedItem: [{ type: core.Input }],
        checkedItems: [{ type: core.Input }],
        checkedIndices: [{ type: core.Input }],
        showDropDownButton: [{ type: core.Input }],
        dropDownButtonPosition: [{ type: core.Input }],
        showSpinButton: [{ type: core.Input }],
        spinButtonPosition: [{ type: core.Input }],
        dropDownWidth: [{ type: core.Input }],
        dropDownHeight: [{ type: core.Input }],
        minPrefixLength: [{ type: core.Input }],
        isMultiSelect: [{ type: core.Input }],
        dropDownOverflow: [{ type: core.Input }],
        visibleItems: [{ type: core.Input }],
        itemHeight: [{ type: core.Input }],
        columns: [{ type: core.Input }],
        showHeader: [{ type: core.Input }],
        valueMemberPath: [{ type: core.Input }],
        displayMemberPath: [{ type: core.Input }],
        checkOnClick: [{ type: core.Input }],
        itemTemplate: [{ type: core.Input }],
        headerTemplate: [{ type: core.Input }],
        footerTemplate: [{ type: core.Input }],
        spinWheel: [{ type: core.Input }],
        emptyTemplate: [{ type: core.Input }],
        load: [{ type: core.Input }],
        pageSize: [{ type: core.Input }],
        virtualMode: [{ type: core.Input }],
        generatingItem: [{ type: core.Input }],
        selectTemplate: [{ type: core.Input }],
        formatItem: [{ type: core.Input }],
        allowColumnResize: [{ type: core.Input }],
        colHeaderHeight: [{ type: core.Input }],
        container: [{ type: core.Input }],
        autoDropDown: [{ type: core.Input }],
        dropDownButtonVisible: [{ type: core.Input }],
        showClearButton: [{ type: core.Input }],
        autoScale: [{ type: core.Input }],
        minScaleFactor: [{ type: core.Input }],
        multipleItemSeparator: [{ type: core.Input }],
        selectedChanged: [{ type: core.Output }],
        checkedChanged: [{ type: core.Output }],
        dropDownClosed: [{ type: core.Output }],
        dropDownOpened: [{ type: core.Output }],
        textChanged: [{ type: core.Output }],
        spinDown: [{ type: core.Output }],
        spinUp: [{ type: core.Output }],
        itemsChanged: [{ type: core.Output }],
        itemsChange: [{ type: core.Output }],
        selectedValueChange: [{ type: core.Output }],
        selectedIndexChange: [{ type: core.Output }],
        checkedValuesChange: [{ type: core.Output }],
        selectedItemChange: [{ type: core.Output }],
        checkedItemsChange: [{ type: core.Output }],
        checkedIndicesChange: [{ type: core.Output }],
        columnComponents: [{ type: core.ContentChildren, args: [GcComboBoxColumnComponent,] }]
    };
    __decorate([
        Property("", "", false, false),
        __metadata("design:type", Object)
    ], GcComboBoxComponent.prototype, "selectedValue", void 0);
    __decorate([
        Property("", "", false, false),
        __metadata("design:type", Number)
    ], GcComboBoxComponent.prototype, "selectedIndex", void 0);
    __decorate([
        Property("setEditable"),
        __metadata("design:type", Boolean)
    ], GcComboBoxComponent.prototype, "isEditable", void 0);
    __decorate([
        Property("", "", false, false),
        __metadata("design:type", Object)
    ], GcComboBoxComponent.prototype, "checkedValues", void 0);
    __decorate([
        Property("", "", false, false),
        __metadata("design:type", Object)
    ], GcComboBoxComponent.prototype, "selectedItem", void 0);
    __decorate([
        Property("", "", false, false),
        __metadata("design:type", Object)
    ], GcComboBoxComponent.prototype, "checkedItems", void 0);
    __decorate([
        Property("", "", false, false),
        __metadata("design:type", Array)
    ], GcComboBoxComponent.prototype, "checkedIndices", void 0);

    var GcInputManBaseComponent = /** @class */ (function (_super) {
        __extends(GcInputManBaseComponent, _super);
        function GcInputManBaseComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.onEditStatusChanged = new core.EventEmitter();
            _this.onInvalidInput = new core.EventEmitter();
            _this.onKeyExit = new core.EventEmitter();
            _this.onTextChanged = new core.EventEmitter();
            _this.onInput = new core.EventEmitter();
            _this.onFocusOut = new core.EventEmitter();
            _this.onKeyDown = new core.EventEmitter();
            _this.onKeyUp = new core.EventEmitter();
            _this.onSyncValueToOriginalInput = new core.EventEmitter();
            // For V2.1 Compatibility, we have to keep this property or event
            _this.textChange = new core.EventEmitter();
            return _this;
        }
        GcInputManBaseComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl) {
                return;
            }
            this._imCtrl.onEditStatusChanged(function (s) { _this.onEditStatusChanged.emit(s); });
            this._imCtrl.onInvalidInput(function (s) { _this.onInvalidInput.emit(s); });
            this._imCtrl.onKeyExit(function (s) { _this.onKeyExit.emit(s); });
            this._imCtrl.onTextChanged(function (s) { _this.onTextChanged.emit(s); _this.textChange.emit(s.getText()); });
            this._imCtrl.onInput(function (s) { _this.onInput.emit(s); });
            this._imCtrl.onFocusOut(function (s) { _this.onFocusOut.emit({ sender: s }); });
            this._imCtrl.onKeyDown(function (s) { _this.onKeyDown.emit({ sender: s }); });
            this._imCtrl.onKeyUp(function (s) { _this.onKeyUp.emit({ sender: s }); });
            this._imCtrl.onSyncValueToOriginalInput(function (v, e) { _this.onSyncValueToOriginalInput.emit({ value: v, element: e }); });
        };
        return GcInputManBaseComponent;
    }(GcComponents));
    GcInputManBaseComponent.propDecorators = {
        visible: [{ type: core.Input }],
        enabled: [{ type: core.Input }],
        readOnly: [{ type: core.Input }],
        exitOnLeftRightKey: [{ type: core.Input }],
        editMode: [{ type: core.Input }],
        watermarkDisplayNullText: [{ type: core.Input }],
        watermarkNullText: [{ type: core.Input }],
        acceptsCrlf: [{ type: core.Input }],
        useClipboard: [{ type: core.Input }],
        exitOnEnterKey: [{ type: core.Input }],
        container: [{ type: core.Input }],
        autoDropDown: [{ type: core.Input }],
        dropDownButtonVisible: [{ type: core.Input }],
        autoScale: [{ type: core.Input }],
        minScaleFactor: [{ type: core.Input }],
        tabIndex: [{ type: core.Input }],
        onEditStatusChanged: [{ type: core.Output }],
        onInvalidInput: [{ type: core.Output }],
        onKeyExit: [{ type: core.Output }],
        onTextChanged: [{ type: core.Output }],
        onInput: [{ type: core.Output }],
        onFocusOut: [{ type: core.Output }],
        onKeyDown: [{ type: core.Output }],
        onKeyUp: [{ type: core.Output }],
        onSyncValueToOriginalInput: [{ type: core.Output }],
        textChange: [{ type: core.Output }]
    };

    var GcDateTimeComponent = /** @class */ (function (_super) {
        __extends(GcDateTimeComponent, _super);
        function GcDateTimeComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.onSpinDown = new core.EventEmitter();
            _this.onSpinUp = new core.EventEmitter();
            _this.onInvalidRange = new core.EventEmitter();
            _this.onInvalidValue = new core.EventEmitter();
            _this.onNumberChanged = new core.EventEmitter();
            _this.onValueChanged = new core.EventEmitter();
            // For V2.1 Compatibility, we have to keep this property or event
            _this.numberChange = new core.EventEmitter();
            _this.valueChange = new core.EventEmitter();
            return _this;
        }
        GcDateTimeComponent.prototype.initGcComponent = function () {
            var element = document.createElement('input');
            this.createTemplate(element);
            this._imCtrl = new GC__namespace.InputMan.GcDateTime(element, this);
        };
        GcDateTimeComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl) {
                return;
            }
            _super.prototype.bindEvent.call(this);
            this._imCtrl.onSpinDown(function (s) { _this.onSpinDown.emit(s); });
            this._imCtrl.onSpinUp(function (s) { _this.onSpinUp.emit(s); });
            this._imCtrl.onInvalidRange(function (s) { _this.onInvalidRange.emit(s); });
            this._imCtrl.onInvalidValue(function (s) { _this.onInvalidValue.emit(s); });
            this._imCtrl.onNumberChanged(function (s) {
                _this.onNumberChanged.emit(s);
                _this.numberChange.emit(s.getNumber());
            });
            this._imCtrl.onValueChanged(function (s) {
                _this.onValueChanged.emit(s);
                _this.valueChange.emit(s.getValue());
            });
        };
        return GcDateTimeComponent;
    }(GcInputManBaseComponent));
    GcDateTimeComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-datetime',
                    template: "",
                    providers: [provideParent(GcDateTimeComponent)]
                },] }
    ];
    GcDateTimeComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcDateTimeComponent.propDecorators = {
        text: [{ type: core.Input }],
        number: [{ type: core.Input }],
        maxDate: [{ type: core.Input }],
        minDate: [{ type: core.Input }],
        formatPattern: [{ type: core.Input }],
        spinIncrement: [{ type: core.Input }],
        spinOnKeys: [{ type: core.Input }],
        spinWrap: [{ type: core.Input }],
        allowSpin: [{ type: core.Input }],
        spinWheel: [{ type: core.Input }],
        displayFormatPattern: [{ type: core.Input }],
        watermarkEmptyEraText: [{ type: core.Input }],
        promptChar: [{ type: core.Input }],
        AMDesignator: [{ type: core.Input }],
        PMDesignator: [{ type: core.Input }],
        twoDigitYearMax: [{ type: core.Input }],
        hour12Mode: [{ type: core.Input }],
        tabAction: [{ type: core.Input }],
        maxMinBehavior: [{ type: core.Input }],
        midnightAs24: [{ type: core.Input }],
        showLiterals: [{ type: core.Input }],
        adjustValueOnFocus: [{ type: core.Input }],
        useTwoDigitYearMax: [{ type: core.Input }],
        validateMode: [{ type: core.Input }],
        clipContent: [{ type: core.Input }],
        value: [{ type: core.Input }],
        watermarkDisplayEmptyEraText: [{ type: core.Input }],
        dropDownConfig: [{ type: core.Input }],
        exitOnLastChar: [{ type: core.Input }],
        highlightText: [{ type: core.Input }],
        showSpinButton: [{ type: core.Input }],
        spinButtonPosition: [{ type: core.Input }],
        showDropDownButton: [{ type: core.Input }],
        dropDownButtonAlignment: [{ type: core.Input }],
        showClearButton: [{ type: core.Input }],
        onSpinDown: [{ type: core.Output }],
        onSpinUp: [{ type: core.Output }],
        onInvalidRange: [{ type: core.Output }],
        onInvalidValue: [{ type: core.Output }],
        onNumberChanged: [{ type: core.Output }],
        onValueChanged: [{ type: core.Output }],
        numberChange: [{ type: core.Output }],
        valueChange: [{ type: core.Output }]
    };
    __decorate([
        Property("", "", false, false),
        __metadata("design:type", Number)
    ], GcDateTimeComponent.prototype, "number", void 0);

    var GcDateTimePickerComponent = /** @class */ (function (_super) {
        __extends(GcDateTimePickerComponent, _super);
        function GcDateTimePickerComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.selectedDateChanged = new core.EventEmitter();
            _this.selectedValueChange = new core.EventEmitter();
            return _this;
        }
        GcDateTimePickerComponent.prototype.initGcComponent = function () {
            var element = document.createElement('div');
            this.createTemplate(element);
            this._imCtrl = new GC__namespace.InputMan.GcDateTimePicker(element, this);
        };
        GcDateTimePickerComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl) {
                return;
            }
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcDateTimePickerEvent.SelectedDateChanged, function (sender, eventArgs) {
                _this.selectedDateChanged.emit({ sender: sender, eArgs: eventArgs });
                _this.selectedValueChange.emit(_this._imCtrl.getValue());
            });
        };
        return GcDateTimePickerComponent;
    }(GcComponents));
    GcDateTimePickerComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-datetime-picker',
                    template: ""
                },] }
    ];
    GcDateTimePickerComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcDateTimePickerComponent.propDecorators = {
        selectedValue: [{ type: core.Input }],
        maxDate: [{ type: core.Input }],
        minDate: [{ type: core.Input }],
        type: [{ type: core.Input }],
        minuteInterval: [{ type: core.Input }],
        secondsInterval: [{ type: core.Input }],
        visible: [{ type: core.Input }],
        hasSeconds: [{ type: core.Input }],
        showMidnightAs24: [{ type: core.Input }],
        yearFormat: [{ type: core.Input }],
        monthFormat: [{ type: core.Input }],
        dayFormat: [{ type: core.Input }],
        selectedDateChanged: [{ type: core.Output }],
        selectedValueChange: [{ type: core.Output }]
    };
    __decorate([
        Property("setValue"),
        __metadata("design:type", Date)
    ], GcDateTimePickerComponent.prototype, "selectedValue", void 0);
    __decorate([
        Property('setPickerType'),
        __metadata("design:type", String)
    ], GcDateTimePickerComponent.prototype, "type", void 0);
    __decorate([
        Property('showSeconds', "", false, false),
        __metadata("design:type", String)
    ], GcDateTimePickerComponent.prototype, "hasSeconds", void 0);
    __decorate([
        Property('showMidnightAs24', "", false, false),
        __metadata("design:type", String)
    ], GcDateTimePickerComponent.prototype, "showMidnightAs24", void 0);

    var GcFormPersistenceComponent = /** @class */ (function (_super) {
        __extends(GcFormPersistenceComponent, _super);
        function GcFormPersistenceComponent(ref) {
            return _super.call(this, ref) || this;
        }
        GcFormPersistenceComponent.prototype.initGcComponent = function () {
            var form = this._container.querySelector('form');
            if (form) {
                this._imCtrl = new GC__namespace.InputMan.GcFormPersistence(form, this);
                this._imCtrl.persist();
            }
        };
        GcFormPersistenceComponent.prototype.bindEvent = function () { };
        return GcFormPersistenceComponent;
    }(GcComponents));
    GcFormPersistenceComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-form-persistence',
                    template: "<ng-content></ng-content>",
                    providers: [provideParent(GcFormPersistenceComponent)]
                },] }
    ];
    GcFormPersistenceComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcFormPersistenceComponent.propDecorators = {
        id: [{ type: core.Input }],
        storageMode: [{ type: core.Input }],
        saveMode: [{ type: core.Input }]
    };

    var GcFunctionKeyInfoComponent = /** @class */ (function () {
        function GcFunctionKeyInfoComponent() {
        }
        return GcFunctionKeyInfoComponent;
    }());
    GcFunctionKeyInfoComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-function-key-info',
                    template: ""
                },] }
    ];
    GcFunctionKeyInfoComponent.propDecorators = {
        key: [{ type: core.Input }],
        description: [{ type: core.Input }],
        tipText: [{ type: core.Input }],
        displayStyle: [{ type: core.Input }],
        imagePosition: [{ type: core.Input }]
    };
    var GcFunctionKeyComponent = /** @class */ (function (_super) {
        __extends(GcFunctionKeyComponent, _super);
        function GcFunctionKeyComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.onActived = new core.EventEmitter();
            return _this;
        }
        GcFunctionKeyComponent.prototype.initGcComponent = function () {
            var _this = this;
            if (this.functionKeyComponents && this.functionKeyComponents.length > 0) {
                this.functionKeys = [];
                this.functionKeyComponents.forEach(function (functionKeyInfo) {
                    _this.functionKeys.push({
                        key: functionKeyInfo.key,
                        description: functionKeyInfo.description,
                        tipText: functionKeyInfo.tipText,
                        displayStyle: functionKeyInfo.displayStyle,
                        imagePosition: functionKeyInfo.imagePosition
                    });
                });
            }
            var element = document.createElement('div');
            this.createTemplate(element);
            this._imCtrl = new GC__namespace.InputMan.GcFunctionKey(element, this);
        };
        GcFunctionKeyComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl)
                return;
            this._imCtrl.onActived(function (s, e) {
                _this.onActived.emit(e);
            });
        };
        return GcFunctionKeyComponent;
    }(GcComponents));
    GcFunctionKeyComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-function-key',
                    template: ""
                },] }
    ];
    GcFunctionKeyComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcFunctionKeyComponent.propDecorators = {
        keyRepeat: [{ type: core.Input }],
        handleMouse: [{ type: core.Input }],
        showTip: [{ type: core.Input }],
        combinationKeyDisplayMode: [{ type: core.Input }],
        functionKeys: [{ type: core.Input }],
        enabled: [{ type: core.Input }],
        visible: [{ type: core.Input }],
        functionKeyComponents: [{ type: core.ContentChildren, args: [GcFunctionKeyInfoComponent,] }],
        onActived: [{ type: core.Output }]
    };
    __decorate([
        Property("addFunctionKey", "", true),
        __metadata("design:type", Array)
    ], GcFunctionKeyComponent.prototype, "functionKeys", void 0);

    var GcIconNotifierComponent = /** @class */ (function (_super) {
        __extends(GcIconNotifierComponent, _super);
        function GcIconNotifierComponent(ref, _parent) {
            var _this = _super.call(this, ref) || this;
            _this._parent = _parent;
            return _this;
        }
        GcIconNotifierComponent.prototype.ngAfterViewInit = function () {
            if (!this._parent || typeof this._parent !== 'object' ||
                typeof this._parent.getNestedIMControl() !== 'object') {
                return;
            }
            this._imCtrl = new GC__namespace.InputMan.GcIconNotifier(this._parent.getNestedIMControl(), this);
            this.onInitialized.emit(this._imCtrl);
        };
        GcIconNotifierComponent.prototype.bindEvent = function () { };
        GcIconNotifierComponent.prototype.initGcComponent = function () {
        };
        GcIconNotifierComponent.prototype.onFail = function () {
            return this._imCtrl.onFail();
        };
        GcIconNotifierComponent.prototype.onSuccess = function () {
            return this._imCtrl.onSuccess();
        };
        GcIconNotifierComponent.prototype.onClear = function () {
            return this._imCtrl.onClear();
        };
        return GcIconNotifierComponent;
    }(GcComponents));
    GcIconNotifierComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-icon-notifier',
                    template: ""
                },] }
    ];
    GcIconNotifierComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: GcComponents, decorators: [{ type: core.Optional }] }
    ]; };
    GcIconNotifierComponent.propDecorators = {
        direction: [{ type: core.Input }],
        failIcon: [{ type: core.Input }],
        successIcon: [{ type: core.Input }],
        failMessage: [{ type: core.Input }],
        successMessage: [{ type: core.Input }]
    };
    __decorate([
        Property('setFailIconSrc'),
        __metadata("design:type", String)
    ], GcIconNotifierComponent.prototype, "failIcon", void 0);
    __decorate([
        Property('setSuccessIconSrc'),
        __metadata("design:type", String)
    ], GcIconNotifierComponent.prototype, "successIcon", void 0);

    var GcListBoxColumnComponent = /** @class */ (function () {
        function GcListBoxColumnComponent() {
        }
        return GcListBoxColumnComponent;
    }());
    GcListBoxColumnComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-list-box-column',
                    template: ""
                },] }
    ];
    GcListBoxColumnComponent.propDecorators = {
        name: [{ type: core.Input }],
        label: [{ type: core.Input }],
        width: [{ type: core.Input }],
        isValuePath: [{ type: core.Input }],
        visible: [{ type: core.Input }],
        clickSort: [{ type: core.Input }],
        contentAlignment: [{ type: core.Input }],
        headerAlignment: [{ type: core.Input }],
        showTip: [{ type: core.Input }]
    };
    var GcListBoxComponent = /** @class */ (function (_super) {
        __extends(GcListBoxComponent, _super);
        function GcListBoxComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.checkedChanged = new core.EventEmitter();
            _this.selectedChanged = new core.EventEmitter();
            _this.focusedChanged = new core.EventEmitter();
            _this.itemClick = new core.EventEmitter();
            _this.loadComplete = new core.EventEmitter();
            _this.itemsChanged = new core.EventEmitter();
            _this.selectedIndexChange = new core.EventEmitter();
            _this.checkedIndexChange = new core.EventEmitter();
            _this.selectedIndicesChange = new core.EventEmitter();
            _this.checkedIndicesChange = new core.EventEmitter();
            return _this;
        }
        GcListBoxComponent.prototype.initGcComponent = function () {
            var _this = this;
            if (this.columnComponents && this.columnComponents.length > 0) {
                this.columns = [];
                this.columnComponents.forEach(function (column) {
                    _this.columns.push({
                        name: column.name,
                        label: column.label,
                        width: column.width,
                        isValuePath: column.isValuePath,
                        visible: column.visible,
                        clickSort: column.clickSort,
                        contentAlignment: column.contentAlignment,
                        headerAlignment: column.headerAlignment,
                        showTip: column.showTip
                    });
                });
            }
            var element = document.createElement('select');
            this.createTemplate(element);
            this._imCtrl = new GC__namespace.InputMan.GcListBox(element, this);
        };
        GcListBoxComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl) {
                return;
            }
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcListBoxEvent.CheckedChanged, function (eventArgs) {
                _this.checkedChanged.emit(eventArgs);
                _this.checkedIndexChange.emit(_this._imCtrl.getCheckedIndices()[0]);
                _this.checkedIndicesChange.emit(_this._imCtrl.getCheckedIndices());
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcListBoxEvent.SelectedChanged, function (eventArgs) {
                _this.selectedChanged.emit(eventArgs);
                _this.selectedIndexChange.emit(_this._imCtrl.getSelectedIndex());
                _this.selectedIndicesChange.emit(_this._imCtrl.getSelectedIndices());
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcListBoxEvent.FocusedChanged, function (eventArgs) {
                _this.focusedChanged.emit(eventArgs);
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcListBoxEvent.ItemClick, function (sender, eventArgs) {
                _this.itemClick.emit({ sender: sender, eArgs: eventArgs });
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcListBoxEvent.LoadComplete, function (eventArgs) {
                _this.loadComplete.emit(eventArgs);
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcListBoxEvent.ItemsChanged, function (eventArgs) {
                _this.itemsChanged.emit(eventArgs);
            });
        };
        return GcListBoxComponent;
    }(GcComponents));
    GcListBoxComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-list-box',
                    template: ""
                },] }
    ];
    GcListBoxComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcListBoxComponent.propDecorators = {
        items: [{ type: core.Input }],
        columns: [{ type: core.Input }],
        virtualMode: [{ type: core.Input }],
        allowResize: [{ type: core.Input }],
        selectionMode: [{ type: core.Input }],
        selectedIndex: [{ type: core.Input }],
        checkedIndex: [{ type: core.Input }],
        selectedIndices: [{ type: core.Input }],
        checkedIndices: [{ type: core.Input }],
        allowColumnResize: [{ type: core.Input }],
        overflow: [{ type: core.Input }],
        width: [{ type: core.Input }],
        height: [{ type: core.Input }],
        itemHeight: [{ type: core.Input }],
        checkOnClick: [{ type: core.Input }],
        visibleItems: [{ type: core.Input }],
        visible: [{ type: core.Input }],
        enabled: [{ type: core.Input }],
        showTip: [{ type: core.Input }],
        multiColumn: [{ type: core.Input }],
        colHeaderHeight: [{ type: core.Input }],
        showHeader: [{ type: core.Input }],
        valueMemberPath: [{ type: core.Input }],
        displayMemberPath: [{ type: core.Input }],
        showCheckBox: [{ type: core.Input }],
        itemTemplate: [{ type: core.Input }],
        headerTemplate: [{ type: core.Input }],
        footerTemplate: [{ type: core.Input }],
        emptyTemplate: [{ type: core.Input }],
        load: [{ type: core.Input }],
        pageSize: [{ type: core.Input }],
        generatingItem: [{ type: core.Input }],
        selectTemplate: [{ type: core.Input }],
        formatItem: [{ type: core.Input }],
        checkedChanged: [{ type: core.Output }],
        selectedChanged: [{ type: core.Output }],
        focusedChanged: [{ type: core.Output }],
        itemClick: [{ type: core.Output }],
        loadComplete: [{ type: core.Output }],
        itemsChanged: [{ type: core.Output }],
        selectedIndexChange: [{ type: core.Output }],
        checkedIndexChange: [{ type: core.Output }],
        selectedIndicesChange: [{ type: core.Output }],
        checkedIndicesChange: [{ type: core.Output }],
        columnComponents: [{ type: core.ContentChildren, args: [GcListBoxColumnComponent,] }]
    };
    __decorate([
        Property("", "", false, false),
        __metadata("design:type", Number)
    ], GcListBoxComponent.prototype, "selectedIndex", void 0);
    __decorate([
        Property("", "", false, false),
        __metadata("design:type", Number)
    ], GcListBoxComponent.prototype, "checkedIndex", void 0);
    __decorate([
        Property("", "", false, false),
        __metadata("design:type", Array)
    ], GcListBoxComponent.prototype, "selectedIndices", void 0);
    __decorate([
        Property("", "", false, false),
        __metadata("design:type", Array)
    ], GcListBoxComponent.prototype, "checkedIndices", void 0);
    __decorate([
        Property("resizeWidth"),
        __metadata("design:type", Object)
    ], GcListBoxComponent.prototype, "width", void 0);
    __decorate([
        Property("resizeHeight"),
        __metadata("design:type", Number)
    ], GcListBoxComponent.prototype, "height", void 0);
    __decorate([
        Property('setVisibleItemCount'),
        __metadata("design:type", Number)
    ], GcListBoxComponent.prototype, "visibleItems", void 0);

    var GcMaskComponent = /** @class */ (function (_super) {
        __extends(GcMaskComponent, _super);
        function GcMaskComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.onTextChanging = new core.EventEmitter();
            _this.onSpinDown = new core.EventEmitter();
            _this.onSpinUp = new core.EventEmitter();
            _this.onValueChanged = new core.EventEmitter();
            // For V2.1 Compatibility, we have to keep this property or event
            _this.valueChange = new core.EventEmitter();
            _this.valueIsFullChange = new core.EventEmitter();
            return _this;
        }
        GcMaskComponent.prototype.initGcComponent = function () {
            var input = document.createElement('input');
            this.createTemplate(input);
            this._imCtrl = new GC__namespace.InputMan.GcMask(input, this);
        };
        GcMaskComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl) {
                return;
            }
            _super.prototype.bindEvent.call(this);
            this._imCtrl.onInput(function (s) {
                _this.valueIsFullChange.emit(s.getValueIsFull());
            });
            this._imCtrl.onTextChanging(function (s, e) { _this.onTextChanging.emit({ sender: s, eArgs: e }); });
            this._imCtrl.onSpinDown(function (s) { _this.onSpinDown.emit(s); });
            this._imCtrl.onSpinUp(function (s) { _this.onSpinUp.emit(s); });
            this._imCtrl.onValueChanged(function (s) {
                _this.onValueChanged.emit(s);
                _this.valueChange.emit(s.getValue());
                _this.valueIsFullChange.emit(s.getValueIsFull());
            });
        };
        return GcMaskComponent;
    }(GcInputManBaseComponent));
    GcMaskComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-mask',
                    template: "",
                    providers: [provideParent(GcMaskComponent)]
                },] }
    ];
    GcMaskComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcMaskComponent.propDecorators = {
        autoConvert: [{ type: core.Input }],
        value: [{ type: core.Input }],
        formatPattern: [{ type: core.Input }],
        promptChar: [{ type: core.Input }],
        showLiterals: [{ type: core.Input }],
        tabAction: [{ type: core.Input }],
        text: [{ type: core.Input }],
        clipContent: [{ type: core.Input }],
        allowSpin: [{ type: core.Input }],
        spinWheel: [{ type: core.Input }],
        spinOnKeys: [{ type: core.Input }],
        exitOnLastChar: [{ type: core.Input }],
        highlightText: [{ type: core.Input }],
        showSpinButton: [{ type: core.Input }],
        spinButtonPosition: [{ type: core.Input }],
        valueIsFull: [{ type: core.Input }],
        showClearButton: [{ type: core.Input }],
        onTextChanging: [{ type: core.Output }],
        onSpinDown: [{ type: core.Output }],
        onSpinUp: [{ type: core.Output }],
        onValueChanged: [{ type: core.Output }],
        valueChange: [{ type: core.Output }],
        valueIsFullChange: [{ type: core.Output }]
    };

    var GcMultilineTextBoxComponent = /** @class */ (function (_super) {
        __extends(GcMultilineTextBoxComponent, _super);
        function GcMultilineTextBoxComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.onEditStatusChanged = new core.EventEmitter();
            _this.onInvalidInput = new core.EventEmitter();
            _this.onKeyExit = new core.EventEmitter();
            _this.onTextChanged = new core.EventEmitter();
            _this.onIMEReadingStringOutput = new core.EventEmitter();
            _this.textChange = new core.EventEmitter();
            // For V2.1 Compatibility, we have to keep this property or event
            _this.imeReadingStringChange = new core.EventEmitter();
            return _this;
        }
        GcMultilineTextBoxComponent.prototype.initGcComponent = function () {
            var element = document.createElement('textarea');
            this.createTemplate(element);
            this["IMEReadingStringAppend"] = this.imeReadingStringAppend;
            this["IMEReadingStringKanaMode"] = this.imeReadingStringKanaMode;
            this["IMEReadingStringEnableAlphabetReadingMapping"] = this.imeReadingStringEnableAlphabetReadingMapping;
            this._imCtrl = new GC__namespace.InputMan.GcMultiLineTextBox(element, this);
        };
        GcMultilineTextBoxComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl) {
                return;
            }
            _super.prototype.bindEvent.call(this);
            this._imCtrl.onIMEReadingStringOutput(function (eventArgs) {
                _this.onIMEReadingStringOutput.emit(eventArgs);
                _this.imeReadingStringChange.emit(_this._imCtrl.getIMEReadingString());
            });
        };
        return GcMultilineTextBoxComponent;
    }(GcInputManBaseComponent));
    GcMultilineTextBoxComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-multiline-textbox',
                    template: "",
                    providers: [provideParent(GcMultilineTextBoxComponent)]
                },] }
    ];
    GcMultilineTextBoxComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcMultilineTextBoxComponent.propDecorators = {
        countWrappedLine: [{ type: core.Input }],
        lengthAsByte: [{ type: core.Input }],
        maxLength: [{ type: core.Input }],
        maxLineCount: [{ type: core.Input }],
        imeReadingStringKanaMode: [{ type: core.Input }],
        scrollBarMode: [{ type: core.Input }],
        scrollBars: [{ type: core.Input }],
        wordWrap: [{ type: core.Input }],
        acceptsReturn: [{ type: core.Input }],
        acceptsTab: [{ type: core.Input }],
        imeReadingStringAppend: [{ type: core.Input }],
        height: [{ type: core.Input }],
        imeReadingStringEnableAlphabetReadingMapping: [{ type: core.Input }],
        exitOnLastChar: [{ type: core.Input }],
        highlightText: [{ type: core.Input }],
        format: [{ type: core.Input }],
        autoConvert: [{ type: core.Input }],
        text: [{ type: core.Input }],
        lines: [{ type: core.Input }],
        imeReadingString: [{ type: core.Input }],
        cursorPosition: [{ type: core.Input }],
        onEditStatusChanged: [{ type: core.Output }],
        onInvalidInput: [{ type: core.Output }],
        onKeyExit: [{ type: core.Output }],
        onTextChanged: [{ type: core.Output }],
        onIMEReadingStringOutput: [{ type: core.Output }],
        textChange: [{ type: core.Output }],
        imeReadingStringChange: [{ type: core.Output }]
    };
    __decorate([
        Property("setIMEReadingStringKanaMode"),
        __metadata("design:type", String)
    ], GcMultilineTextBoxComponent.prototype, "imeReadingStringKanaMode", void 0);
    __decorate([
        Property("setIMEReadingStringAppend"),
        __metadata("design:type", Boolean)
    ], GcMultilineTextBoxComponent.prototype, "imeReadingStringAppend", void 0);
    __decorate([
        Property("setIMEReadingStringEnableAlphabetReadingMapping"),
        __metadata("design:type", Boolean)
    ], GcMultilineTextBoxComponent.prototype, "imeReadingStringEnableAlphabetReadingMapping", void 0);

    var GcNumberComponent = /** @class */ (function (_super) {
        __extends(GcNumberComponent, _super);
        function GcNumberComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.onSpinDown = new core.EventEmitter();
            _this.onSpinUp = new core.EventEmitter();
            _this.onInvalidRange = new core.EventEmitter();
            _this.onValueChanged = new core.EventEmitter();
            // For V2.1 Compatibility, we have to keep this property or event
            _this.valueChange = new core.EventEmitter();
            return _this;
        }
        GcNumberComponent.prototype.initGcComponent = function () {
            var element = document.createElement('input');
            this.createTemplate(element);
            this._imCtrl = new GC__namespace.InputMan.GcNumber(element, this);
        };
        GcNumberComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl) {
                return;
            }
            _super.prototype.bindEvent.call(this);
            this._imCtrl.onSpinDown(function (s) { _this.onSpinDown.emit(s); });
            this._imCtrl.onSpinUp(function (s) { _this.onSpinUp.emit(s); });
            this._imCtrl.onInvalidRange(function (s) { _this.onInvalidRange.emit(s); });
            this._imCtrl.onValueChanged(function (s) {
                _this.onValueChanged.emit(s);
                _this.valueChange.emit(s.getValue());
            });
        };
        GcNumberComponent.prototype.clear = function () {
            return this._imCtrl.clear();
        };
        return GcNumberComponent;
    }(GcInputManBaseComponent));
    GcNumberComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-number',
                    template: "",
                    providers: [provideParent(GcNumberComponent)]
                },] }
    ];
    GcNumberComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcNumberComponent.propDecorators = {
        value: [{ type: core.Input }],
        text: [{ type: core.Input }],
        watermarkZeroText: [{ type: core.Input }],
        formatDigit: [{ type: core.Input }],
        displayPositivePrefix: [{ type: core.Input }],
        displayFormatDigit: [{ type: core.Input }],
        maxValue: [{ type: core.Input }],
        minValue: [{ type: core.Input }],
        positivePrefix: [{ type: core.Input }],
        positiveSuffix: [{ type: core.Input }],
        displayPositiveSuffix: [{ type: core.Input }],
        negativePrefix: [{ type: core.Input }],
        displayNegativePrefix: [{ type: core.Input }],
        negativeSuffix: [{ type: core.Input }],
        displayNegativeSuffix: [{ type: core.Input }],
        valueSign: [{ type: core.Input }],
        adjustValueOnFocus: [{ type: core.Input }],
        allowDeleteToNull: [{ type: core.Input }],
        clearAction: [{ type: core.Input }],
        acceptsDecimal: [{ type: core.Input }],
        currencySymbol: [{ type: core.Input }],
        decimalPoint: [{ type: core.Input }],
        maxMinBehavior: [{ type: core.Input }],
        separator: [{ type: core.Input }],
        watermarkDisplayZeroText: [{ type: core.Input }],
        highlightText: [{ type: core.Input }],
        allowSpin: [{ type: core.Input }],
        spinWheel: [{ type: core.Input }],
        spinOnKeys: [{ type: core.Input }],
        spinWrap: [{ type: core.Input }],
        showSpinButton: [{ type: core.Input }],
        spinButtonPosition: [{ type: core.Input }],
        showNumericPad: [{ type: core.Input }],
        numericPadPosition: [{ type: core.Input }],
        showCalculatorAsDropDown: [{ type: core.Input }],
        showCalculatorAsPopup: [{ type: core.Input }],
        calculatorButtonPosition: [{ type: core.Input }],
        dropDownConfig: [{ type: core.Input }],
        showClearButton: [{ type: core.Input }],
        onSpinDown: [{ type: core.Output }],
        onSpinUp: [{ type: core.Output }],
        onInvalidRange: [{ type: core.Output }],
        onValueChanged: [{ type: core.Output }],
        valueChange: [{ type: core.Output }]
    };

    var GcShortcutInfoComponent = /** @class */ (function () {
        function GcShortcutInfoComponent() {
        }
        return GcShortcutInfoComponent;
    }());
    GcShortcutInfoComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-shortcut-info',
                    template: ""
                },] }
    ];
    GcShortcutInfoComponent.propDecorators = {
        shortcutKey: [{ type: core.Input }],
        shift: [{ type: core.Input }],
        ctrl: [{ type: core.Input }],
        alt: [{ type: core.Input }],
        target: [{ type: core.Input }],
        action: [{ type: core.Input }],
        blockMessage: [{ type: core.Input }]
    };
    var GcShortcutComponent = /** @class */ (function (_super) {
        __extends(GcShortcutComponent, _super);
        function GcShortcutComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.preAction = new core.EventEmitter();
            _this.postAction = new core.EventEmitter();
            return _this;
        }
        GcShortcutComponent.prototype.initGcComponent = function () {
            var _this = this;
            this._imCtrl = new GC__namespace.InputMan.GcShortcut();
            if (this.shortcutInfoList && this.shortcutInfoList.length > 0) {
                this.shortcutInfoList.forEach(function (info) {
                    var target = _this.tryGetTarget(info.target);
                    if (target === null)
                        return;
                    var args = Object.assign(Object.assign({}, info), { key: info.shortcutKey, target: target });
                    _this._imCtrl.add(args);
                });
            }
        };
        GcShortcutComponent.prototype.tryGetTarget = function (str) {
            if (str === undefined)
                return window;
            var el = document.querySelector(str);
            if (el === null)
                return null;
            return el[IMCtrl] || el;
        };
        GcShortcutComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl)
                return;
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcShortcutEvent.PreAction, function (s, e) {
                _this.preAction.emit(e);
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcShortcutEvent.PostAction, function (s, e) {
                _this.postAction.emit(e);
            });
        };
        return GcShortcutComponent;
    }(GcComponents));
    GcShortcutComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-shortcut',
                    template: ""
                },] }
    ];
    GcShortcutComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcShortcutComponent.propDecorators = {
        blockMessage: [{ type: core.Input }],
        triggerAll: [{ type: core.Input }],
        shortcutInfoList: [{ type: core.ContentChildren, args: [GcShortcutInfoComponent,] }],
        preAction: [{ type: core.Output }],
        postAction: [{ type: core.Output }]
    };

    var GcSoftKeyboardComponent = /** @class */ (function (_super) {
        __extends(GcSoftKeyboardComponent, _super);
        function GcSoftKeyboardComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.onOpen = new core.EventEmitter();
            _this.onClose = new core.EventEmitter();
            _this.onKeyPress = new core.EventEmitter();
            return _this;
        }
        GcSoftKeyboardComponent.prototype.initGcComponent = function () {
            var element = document.createElement('div');
            this.createTemplate(element);
            this._imCtrl = new GC__namespace.InputMan.GcSoftKeyboard(element, this);
            this.setTarget(this.target);
            this.setOpened(this.opened);
        };
        GcSoftKeyboardComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl)
                return;
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcSoftKeyboardEvent.KeyPress, function (s, e) {
                _this.onKeyPress.emit(e);
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcSoftKeyboardEvent.Open, function (s) {
                _this.onOpen.emit(s);
            });
            this._imCtrl.addEventListener(GC__namespace.InputMan.GcSoftKeyboardEvent.Close, function (s) {
                _this.onClose.emit(s);
            });
        };
        GcSoftKeyboardComponent.prototype.setValueToIMControl = function (key, value) {
            if (key === 'opened') {
                this.setOpened(value);
            }
            else if (key === 'target') {
                this.setTarget(value);
            }
            else {
                _super.prototype.setValueToIMControl.call(this, key, value);
            }
        };
        GcSoftKeyboardComponent.prototype.setOpened = function (opened) {
            if (opened === true) {
                this._imCtrl.open();
            }
            else if (opened === false) {
                this._imCtrl.close();
            }
        };
        GcSoftKeyboardComponent.prototype.setTarget = function (str) {
            var target = this.tryGetTarget(str);
            if (target) {
                this._imCtrl.target = target;
            }
        };
        GcSoftKeyboardComponent.prototype.tryGetTarget = function (str) {
            try {
                var target = document.querySelector(str);
                return target;
            }
            catch (_a) { }
            return null;
        };
        return GcSoftKeyboardComponent;
    }(GcComponents));
    GcSoftKeyboardComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-soft-keyboard',
                    template: ""
                },] }
    ];
    GcSoftKeyboardComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcSoftKeyboardComponent.propDecorators = {
        opened: [{ type: core.Input }],
        randomDisplay: [{ type: core.Input }],
        hideButtonWhenMouseOn: [{ type: core.Input }],
        displayType: [{ type: core.Input }],
        showSecurityOptions: [{ type: core.Input }],
        securityLevel: [{ type: core.Input }],
        qwertyLayout: [{ type: core.Input }],
        showCapitalLetters: [{ type: core.Input }],
        target: [{ type: core.Input }],
        enabled: [{ type: core.Input }],
        onOpen: [{ type: core.Output }],
        onClose: [{ type: core.Output }],
        onKeyPress: [{ type: core.Output }]
    };

    var GcTextBoxComponent = /** @class */ (function (_super) {
        __extends(GcTextBoxComponent, _super);
        function GcTextBoxComponent(ref) {
            var _this = _super.call(this, ref) || this;
            _this.onIMEReadingStringOutput = new core.EventEmitter();
            // For V2.1 Compatibility, we have to keep this property or event
            _this.imeReadingStringChange = new core.EventEmitter();
            return _this;
        }
        GcTextBoxComponent.prototype.initGcComponent = function () {
            var input = document.createElement("input");
            this.createTemplate(input);
            this["IMEReadingStringAppend"] = this.imeReadingStringAppend;
            this["IMEReadingStringKanaMode"] = this.imeReadingStringKanaMode;
            this["IMEReadingStringEnableAlphabetReadingMapping"] = this.imeReadingStringEnableAlphabetReadingMapping;
            this._imCtrl = new GC__namespace.InputMan.GcTextBox(input, this);
        };
        GcTextBoxComponent.prototype.bindEvent = function () {
            var _this = this;
            if (!this._imCtrl) {
                return;
            }
            _super.prototype.bindEvent.call(this);
            this._imCtrl.onIMEReadingStringOutput(function (s, e) {
                _this.onIMEReadingStringOutput.emit({ sender: s, eArgs: e });
                _this.imeReadingStringChange.emit(s.getIMEReadingString());
            });
        };
        return GcTextBoxComponent;
    }(GcInputManBaseComponent));
    GcTextBoxComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-text-box',
                    template: "",
                    providers: [provideParent(GcTextBoxComponent)]
                },] }
    ];
    GcTextBoxComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    GcTextBoxComponent.propDecorators = {
        autoConvert: [{ type: core.Input }],
        ellipsisString: [{ type: core.Input }],
        ellipsis: [{ type: core.Input }],
        format: [{ type: core.Input }],
        lengthAsByte: [{ type: core.Input }],
        maxLength: [{ type: core.Input }],
        passwordChar: [{ type: core.Input }],
        text: [{ type: core.Input }],
        useSystemPasswordChar: [{ type: core.Input }],
        imeReadingStringAppend: [{ type: core.Input }],
        imeReadingStringKanaMode: [{ type: core.Input }],
        imeReadingStringEnableAlphabetReadingMapping: [{ type: core.Input }],
        exitOnLastChar: [{ type: core.Input }],
        highlightText: [{ type: core.Input }],
        imeReadingString: [{ type: core.Input }],
        showClearButton: [{ type: core.Input }],
        passwordRevelationMode: [{ type: core.Input }],
        onIMEReadingStringOutput: [{ type: core.Output }],
        imeReadingStringChange: [{ type: core.Output }]
    };
    __decorate([
        Property("setIMEReadingStringAppend"),
        __metadata("design:type", Boolean)
    ], GcTextBoxComponent.prototype, "imeReadingStringAppend", void 0);
    __decorate([
        Property("setIMEReadingStringKanaMode"),
        __metadata("design:type", String)
    ], GcTextBoxComponent.prototype, "imeReadingStringKanaMode", void 0);
    __decorate([
        Property("setIMEReadingStringEnableAlphabetReadingMapping"),
        __metadata("design:type", Boolean)
    ], GcTextBoxComponent.prototype, "imeReadingStringEnableAlphabetReadingMapping", void 0);

    var GcTipNotifierComponent = /** @class */ (function (_super) {
        __extends(GcTipNotifierComponent, _super);
        function GcTipNotifierComponent(ref, _parent) {
            var _this = _super.call(this, ref) || this;
            _this._parent = _parent;
            return _this;
        }
        GcTipNotifierComponent.prototype.ngAfterViewInit = function () {
            if (!this._parent || typeof this._parent !== 'object' ||
                typeof this._parent.getNestedIMControl() !== 'object') {
                return;
            }
            this._imCtrl = new GC__namespace.InputMan.GcTipNotifier(this._parent.getNestedIMControl(), this);
            this.onInitialized.emit(this._imCtrl);
        };
        GcTipNotifierComponent.prototype.bindEvent = function () { };
        GcTipNotifierComponent.prototype.initGcComponent = function () {
        };
        GcTipNotifierComponent.prototype.onFail = function () {
            return this._imCtrl.onFail();
        };
        GcTipNotifierComponent.prototype.onSuccess = function () {
            return this._imCtrl.onSuccess();
        };
        GcTipNotifierComponent.prototype.onClear = function () {
            return this._imCtrl.onClear();
        };
        return GcTipNotifierComponent;
    }(GcComponents));
    GcTipNotifierComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-tip-notifier',
                    template: ""
                },] }
    ];
    GcTipNotifierComponent.ctorParameters = function () { return [
        { type: core.ElementRef },
        { type: GcComponents, decorators: [{ type: core.Optional }] }
    ]; };
    GcTipNotifierComponent.propDecorators = {
        direction: [{ type: core.Input }],
        position: [{ type: core.Input }],
        directionPriority: [{ type: core.Input }],
        template: [{ type: core.Input }],
        failMessage: [{ type: core.Input }],
        successMessage: [{ type: core.Input }],
        tipState: [{ type: core.Input }]
    };

    /*Import from angular */
    /**
     *  Declare & add export modules
     */
    var InputManModule = /** @class */ (function () {
        function InputManModule() {
        }
        return InputManModule;
    }());
    InputManModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [
                        common.CommonModule,
                        forms.FormsModule
                    ],
                    declarations: [
                        GcMaskComponent,
                        GcTextBoxComponent,
                        GcCalendarComponent,
                        GcNumberComponent,
                        GcDateTimeComponent,
                        GcListBoxComponent,
                        GcComboBoxComponent,
                        GcDateTimePickerComponent,
                        GcTipNotifierComponent,
                        GcIconNotifierComponent,
                        GcMultilineTextBoxComponent,
                        GcComboBoxColumnComponent,
                        GcListBoxColumnComponent,
                        GcFormPersistenceComponent,
                        GcCalculatorComponent,
                        GcFunctionKeyComponent,
                        GcFunctionKeyInfoComponent,
                        GcShortcutComponent,
                        GcShortcutInfoComponent,
                        GcSoftKeyboardComponent,
                    ],
                    exports: [
                        GcMaskComponent,
                        GcTextBoxComponent,
                        GcCalendarComponent,
                        GcNumberComponent,
                        GcDateTimeComponent,
                        GcListBoxComponent,
                        GcComboBoxComponent,
                        GcDateTimePickerComponent,
                        GcTipNotifierComponent,
                        GcIconNotifierComponent,
                        GcMultilineTextBoxComponent,
                        GcComboBoxColumnComponent,
                        GcListBoxColumnComponent,
                        GcFormPersistenceComponent,
                        GcCalculatorComponent,
                        GcFunctionKeyComponent,
                        GcFunctionKeyInfoComponent,
                        GcShortcutComponent,
                        GcShortcutInfoComponent,
                        GcSoftKeyboardComponent
                    ]
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.GcCalculatorComponent = GcCalculatorComponent;
    exports.GcCalendarComponent = GcCalendarComponent;
    exports.GcComboBoxColumnComponent = GcComboBoxColumnComponent;
    exports.GcComboBoxComponent = GcComboBoxComponent;
    exports.GcDateTimeComponent = GcDateTimeComponent;
    exports.GcDateTimePickerComponent = GcDateTimePickerComponent;
    exports.GcFormPersistenceComponent = GcFormPersistenceComponent;
    exports.GcFunctionKeyComponent = GcFunctionKeyComponent;
    exports.GcFunctionKeyInfoComponent = GcFunctionKeyInfoComponent;
    exports.GcIconNotifierComponent = GcIconNotifierComponent;
    exports.GcListBoxColumnComponent = GcListBoxColumnComponent;
    exports.GcListBoxComponent = GcListBoxComponent;
    exports.GcMaskComponent = GcMaskComponent;
    exports.GcMultilineTextBoxComponent = GcMultilineTextBoxComponent;
    exports.GcNumberComponent = GcNumberComponent;
    exports.GcShortcutComponent = GcShortcutComponent;
    exports.GcShortcutInfoComponent = GcShortcutInfoComponent;
    exports.GcSoftKeyboardComponent = GcSoftKeyboardComponent;
    exports.GcTextBoxComponent = GcTextBoxComponent;
    exports.GcTipNotifierComponent = GcTipNotifierComponent;
    exports.InputManModule = InputManModule;
    exports["ɵa"] = provideParent;
    exports["ɵb"] = GcComponents;
    exports["ɵc"] = Property;
    exports["ɵd"] = GcInputManBaseComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=grapecity-inputman.angular.umd.js.map
