import { ElementRef, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcInputManBaseComponent } from './GcInputManBase';
export declare class GcMaskComponent extends GcInputManBaseComponent<GC.InputMan.GcMask> {
    constructor(ref: ElementRef);
    autoConvert: boolean;
    value: string | null;
    formatPattern: string;
    promptChar: string;
    showLiterals: GC.InputMan.ShowLiterals;
    tabAction: GC.InputMan.TabAction;
    text: string;
    clipContent: GC.InputMan.ClipContent;
    allowSpin: boolean;
    spinWheel: boolean;
    spinOnKeys: boolean;
    exitOnLastChar: boolean;
    highlightText: string;
    showSpinButton: boolean;
    spinButtonPosition: GC.InputMan.SpinButtonAlignment;
    valueIsFull: boolean;
    showClearButton: boolean;
    onTextChanging: EventEmitter<object>;
    onSpinDown: EventEmitter<object>;
    onSpinUp: EventEmitter<object>;
    onValueChanged: EventEmitter<object>;
    valueChange: EventEmitter<string>;
    valueIsFullChange: EventEmitter<boolean>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
}
