import { ElementRef, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcInputManBaseComponent } from './GcInputManBase';
export declare class GcTextBoxComponent extends GcInputManBaseComponent<GC.InputMan.GcTextBox> {
    constructor(ref: ElementRef);
    autoConvert: boolean;
    ellipsisString: string | null;
    ellipsis: GC.InputMan.EllipsisMode;
    format: string | null;
    lengthAsByte: boolean;
    maxLength: number;
    passwordChar: string | null;
    text: string | null;
    useSystemPasswordChar: boolean;
    imeReadingStringAppend: boolean;
    imeReadingStringKanaMode: GC.InputMan.KanaMode;
    imeReadingStringEnableAlphabetReadingMapping: boolean;
    exitOnLastChar: boolean;
    highlightText: boolean;
    imeReadingString: string;
    showClearButton: boolean;
    passwordRevelationMode: GC.InputMan.PasswordRevelationMode;
    onIMEReadingStringOutput: EventEmitter<object>;
    imeReadingStringChange: EventEmitter<string>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
}
